QHButtonGroup(3qt)

NAME
QHButtonGroup - Organizes

#include <qhbuttongroup.h>

Inherits QButtonGroup.

  Public Members
QHButtonGroup ( QWidget * parent=0, const char * name=0 )
QHButtonGroup ( const QString & title, QWidget * parent=0, const char * name=0 )
~QHButtonGroup ()

DESCRIPTION
The QHButtonGroup widget organizes QButton widgets in a group with one horizontal row.

QHButtonGroup is a convenience class that offers a thin layer on top of QButtonGroup. Think of it as a QHBox that offers a frame with a title and is specifically designed for buttons.

MEMBER FUNCTION DOCUMENTATION

QHButtonGroup::QHButtonGroup ( QWidget * parent=0, const char * name=0 )
Constructs a horizontal button group with no title.

The parent and name arguments are passed to the QWidget constructor.

QHButtonGroup::QHButtonGroup ( const QString & title, QWidget * parent=0, const char * name=0 )
Constructs a horizontal button group with a title.

The parent and name arguments are passed to the QWidget constructor.

QHButtonGroup::~QHButtonGroup ()
Destructs the horizontal button group, deleting its child widgets.

SEE ALSO
http://doc.trolltech.com/qhbuttongroup.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qhbuttongroup.3qt) and the Qt version (2.3.0).